Bug 26491 - missing or insufficient btrfs utility check
: missing or insufficient btrfs utility check
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 23155 26843
  Show dependency tree
 
Reported: 2011-10-22 11:00 by
Modified: 2012-02-09 16:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-10-22 11:00:49
При попытке установки altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso корнем
на BtrFS (в списке модулей присутствует) получил "No such file or directory", в
/tmp/*/log/evms-engine.log:

> _3_ Engine: do_fork_and_execvp: execvp() failed.  errno is 2: No such file or directory

PS: поскольку ляп скорее всего тривиальный, но довольно неприятный в плане
резонного восприятия общественностью -- вешаю кентавроблокер.
------- Comment #1 From 2011-10-24 16:55:12 -------
Добавил в evms проверку на наличие 'mkfs.btrfs'. Если в системе не установлен
пакет 'btrfs-progs', то и в списке соответствующего пункта не будет

fixed in evms 2.5.5-alt22
------- Comment #2 From 2012-01-27 15:49:38 -------
> Добавил в evms проверку на наличие 'mkfs.btrfs'. Если в системе не установлен
> пакет 'btrfs-progs', то и в списке соответствующего пункта не будет

Однако он есть в последних версиях Симпли. Пакета btrfs-progs при этом нет.
При попытке использовать сообщается, что "Not implemented", после этого на
любое действие "No enough memory".
------- Comment #3 From 2012-01-27 16:06:01 -------
> При попытке использовать сообщается, что "Not implemented",

Точнее "Function not implemented"

>  после этого на любое действие "No enough memory".

Точнее "Cannot alocate memory"
И не на любое действие, назад вернуться можно, после чего опять работает.
------- Comment #4 From 2012-02-08 22:56:14 -------
(В ответ на комментарий №1)
> Добавил в evms проверку на наличие 'mkfs.btrfs'. Если в системе не установлен
> пакет 'btrfs-progs', то и в списке соответствующего пункта не будет
> 
> fixed in evms 2.5.5-alt22

Очень прошу исправить asap, блокирует релиз Simly 6.0.1, который в остальном
полностью готов.
------- Comment #5 From 2012-02-09 12:02:44 -------
А что происходит, если попытаться создать btrfs на раздел, размер которого
меньше 256МБ?
------- Comment #6 From 2012-02-09 13:36:08 -------
(В ответ на комментарий №5)
> А что происходит, если попытаться создать btrfs на раздел, размер которого
> меньше 256МБ?

Эксперимент дешевле расчёта.

Однако, в первую очередь надо исправить то, что btrfs появляется в списке даже
тогда, когда btrfs-progs не установлен. А не создание btrfs как таковое.
------- Comment #7 From 2012-02-09 13:43:06 -------
(In reply to comment #6)
> Однако, в первую очередь надо исправить то, что btrfs появляется в списке даже
> тогда, когда btrfs-progs не установлен. А не создание btrfs как таковое.

В коде проверка на наличие btrfs-progs и проверка размера раздела находятся на
одном уровне, мне бы эта информация пригодилась
------- Comment #8 From 2012-02-09 13:51:25 -------
> В коде проверка на наличие btrfs-progs и проверка размера раздела находятся на
> одном уровне, мне бы эта информация пригодилась

При создании раздела <256Мб btrfs не появляется в списке доступных fs. Если
больше - появляется.
------- Comment #9 From 2012-02-09 13:57:26 -------
(In reply to comment #8)
> При создании раздела <256Мб btrfs не появляется в списке доступных fs. Если
> больше - появляется.

Спасибо, теперь суть проблемы ясна
------- Comment #10 From 2012-02-09 16:43:27 -------
fixed in evms 2.5.5-alt23
------- Comment #11 From 2012-02-09 16:44:33 -------
(В ответ на комментарий №10)
> fixed in evms 2.5.5-alt23

Спасибо!